Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/predict?api_key=YOUR_API_KEY&fields=estimate_rent_monthly&last=24&period=month&property_id=10004f7afe0c1946"
const houski_recipe_data = async (): Promise<PredictResponse> => {
// You must copy the PredictResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/predict');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('fields', 'estimate_rent_monthly');
url.searchParams.set('last', '24');
url.searchParams.set('period', 'month');
url.searchParams.set('property_id', '10004f7afe0c1946');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PredictResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 2.5,
"data": [
{
"predictions": [
{
"date": "2024-11-22",
"estimate_rent_monthly": 2670.4575
},
{
"date": "2024-12-22",
"estimate_rent_monthly": 2665.1873
},
{
"date": "2025-01-21",
"estimate_rent_monthly": 2665.1873
},
{
"date": "2025-02-20",
"estimate_rent_monthly": 2661.8672
},
{
"date": "2025-03-22",
"estimate_rent_monthly": 2665.6396
},
{
"date": "2025-04-21",
"estimate_rent_monthly": 2668.384
},
{
"date": "2025-05-21",
"estimate_rent_monthly": 2645.5186
},
{
"date": "2025-06-20",
"estimate_rent_monthly": 2699.56
},
{
"date": "2025-07-20",
"estimate_rent_monthly": 2699.56
},
{
"date": "2025-08-19",
"estimate_rent_monthly": 2731.8936
},
{
"date": "2025-09-18",
"estimate_rent_monthly": 2683.3906
},
{
"date": "2025-10-18",
"estimate_rent_monthly": 2565.5933
},
{
"date": "2025-11-17",
"estimate_rent_monthly": 2524.5159
},
{
"date": "2025-12-17",
"estimate_rent_monthly": 2520.1343
},
{
"date": "2026-01-16",
"estimate_rent_monthly": 2518.4934
},
{
"date": "2026-02-15",
"estimate_rent_monthly": 2518.4934
},
{
"date": "2026-03-17",
"estimate_rent_monthly": 2521.8545
},
{
"date": "2026-04-16",
"estimate_rent_monthly": 2521.4602
},
{
"date": "2026-05-16",
"estimate_rent_monthly": 2521.5732
},
{
"date": "2026-06-15",
"estimate_rent_monthly": 2530.6543
},
{
"date": "2026-07-15",
"estimate_rent_monthly": 2555.596
},
{
"date": "2026-08-14",
"estimate_rent_monthly": 2613.8472
},
{
"date": "2026-09-13",
"estimate_rent_monthly": 2613.8472
},
{
"date": "2026-10-13",
"estimate_rent_monthly": 2613.8472
},
{
"date": "2026-11-12",
"estimate_rent_monthly": 2617.871
}
],
"property_id": "10004f7afe0c1946"
}
],
"error": "",
"price_quote": false,
"result_total": 1,
"time_ms": 335
}